This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 474580 - kinit (and other kerberized apps) need considerable time to complete operation
kinit (and other kerberized apps) need considerable time to complete operation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 10:29 EST by Tomasz Kepczynski
Modified: 2009-12-18 02:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:09:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomasz Kepczynski 2008-12-04 10:29:22 EST
Description of problem:
  I am in the environment where KDCs are exposed in DNS and there are several of them (16 at this time).
  kinit takes a few seconds to display password prompt, showing lots of DNS queries during that time. tcpdump reveals that it gets the list of _kerberos._udp srv records (which is fine as it is configured to do so) and then it queries EVERY returned KDC hostname for A and AAAA records even if it will use only ONE returned address in the end. To add some salt to that the whole story repeats itself after entering a password (why do I need to go and check where the KDC is if I've already chosen one to talk to?).
  Unfortunately this is not the end of the story: I then try to connect to SMB share using kerberos credentials I've just obtained and the whole story repeats itself.
  Quick look at the source shows that kerberos library always tries to query dns for SRV records and then goes there for all address records, every time it needs to contact KDC.
  I can live with that but this is a bit frustrating...

Version-Release number of selected component (if applicable):
krb5-libs-1.6.3-16.fc10.x86_64

How reproducible:
Always given many SRV records and no AAAA records for KDCs.

Actual results:
It is slooow on initial connections/authentication, better when cached ticket is in a cache.

Expected results:
It performs quickly regardless historical data present in a cache.
Comment 1 Tomasz Kepczynski 2008-12-04 10:31:28 EST
I forgot one additional thing - it is so slooow that pam_krb5 timeouts and I cannot use it for authentication. And there is not parameter in pam_krb5 to ask it to wait a bit longer.
Comment 2 Bug Zapper 2009-11-18 07:40:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:09:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.